from decimal import Decimal
import numpy as np
import matplotlib.pyplot as plt
import matplotlib

np.set_printoptions(precision=None, suppress=None)

fig, axes = plt.subplots(2, 5, sharex=False, gridspec_kw={'wspace':0.4})

# vals = np.array([[[0.001338,0.03737],[0.0001862,0.006796]],
#                 [[0.00002404,0.006742],[0.0002094,0.005704]],
#                 [[0.99902,0.99881],[0.0006664,0.004520]],
#                 [[0.0001215,0.001596],[0.0001151,0.002932]],
#                 [[0.9997,0.99988],[0.002398,0.006523]]])

vals = np.array([[[0.001338,0.03737],[0.0001862,0.006796]],
                [[0.00002404,0.006742],[0.0002094,0.005704]],
                [[0.02449,0.028129],[0.01057,0.02364]],
                [[0.0001215,0.001596],[0.0001151,0.002932]],
                [[0.021676,0.00900],[0.01876,0.03455]]])

xlabels = ['cost', 'sPOC - Bias', 'sPOC - RMSE', 'bPOC - Bias', 'bPOC - RMSE']
ylabels = ['median','stDev']

plt.ticklabel_format(axis="y", style="sci", scilimits=(0,0))

for i in range(5):
    for j in range(2):
        #if (i,j) == (4,1):
        #    break
        axes[j,i].ticklabel_format(axis="y", style="sci", scilimits=(0, 0))
        bars=axes[j,i].bar(['GA','RS'],vals[i,j,:], align='center')
        bars[1].set_color('orange')
        #axes[j, i].tick_params(axis='y', labelrotation=90,labeltop=True, pad=0.1, labelsize=6)
        axes[j, i].tick_params(axis='y', labeltop=True, pad=0.1, labelsize=6)
        axes[j, i].tick_params(axis='x', labelsize=6)#,top=False, bottom=False, labelbottom=False)
        for tick in axes[j, i].yaxis.get_major_ticks():
            tick.label1.set_horizontalalignment('right')
        if j==1:
            axes[j ,i].set_xlabel(xlabels[i])
        if i==0:
            axes[j, i].set_ylabel(ylabels[j])
        #yticks = np.linspace(0, max(vals[i, j, :]), num=5)
        #yticks = [float('%.2g' % i) for i in yticks]
        #axes[j, i].set_yticks(yticks)

plt.savefig('metastats.png')